libmodule-build-xsutil-perl_0.19-1_all.deb


Advertisement

Description

libmodule-build-xsutil-perl - Module::Build class for building XS modules

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmodule-build-xsutil-perl_0.19-1_all.deb
Package name libmodule-build-xsutil-perl
Package version 0.19
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl
Homepage https://metacpan.org/release/Module-Build-XSUtil
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 10.16 KB
Installed size 32.00 KB
Module::Build::XSUtil is subclass of Module::Build for support building XS
modules.
Beyond other features it supports checking for C99 and C++ compilers
as well as to enable compiler warnings or debug options.

Alternatives

Package Version Architecture Repository
libmodule-build-xsutil-perl_0.19-1_all.deb 0.19 all Debian Main
libmodule-build-xsutil-perl - - -

Requires

Name Value
libdevel-checkcompiler-perl -
libmodule-build-perl -
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmodule-build-xsutil-perl_0.19-1_all.deb
Source Package libmodule-build-xsutil-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmodule-build-xsutil-perl deb package:
    # sudo apt-get install libmodule-build-xsutil-perl

Files

Path
/usr/share/doc/libmodule-build-xsutil-perl/changelog.Debian.gz
/usr/share/doc/libmodule-build-xsutil-perl/changelog.gz
/usr/share/doc/libmodule-build-xsutil-perl/copyright
/usr/share/man/man3/Module::Build::XSUtil.3pm.gz
/usr/share/perl5/Module/Build/XSUtil.pm

Changelog

2018-06-23 - gregor herrmann <gregoa@debian.org>
libmodule-build-xsutil-perl (0.19-1) unstable; urgency=medium
* Team upload.
[ Damyan Ivanov ]
* declare conformance with Policy 4.1.3 (no changes needed)
[ Salvatore Bonaccorso ]
* Update Vcs-* headers for switch to salsa.debian.org
[ gregor herrmann ]
* Import upstream version 0.19.
* Add a patch to avoid the necessity to package
File::Copy::Recursive::Reduced.
* Declare compliance with Debian Policy 4.1.4.
2017-12-22 - Axel Beckert <abe@debian.org>
libmodule-build-xsutil-perl (0.18-1) unstable; urgency=medium
[ gregor herrmann ]
* Rename autopkgtest configuration file(s) as per new pkg-perl-
autopkgtest schema.
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* debian/upstream/metadata: use HTTPS for GitHub URLs.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ Axel Beckert ]
* Import upstream version 0.18.
* Set "Rules-Requires-Root: no".
* Declare compliance with Debian Policy 4.1.2. (No changes needed.)
* Add patch to fix spelling error found by Lintian.
* Bump debhelper compatibility level to 10.
+ Update versioned debhelper build-dependency accordingly.
2015-07-04 - Axel Beckert <abe@debian.org>
libmodule-build-xsutil-perl (0.16-1) unstable; urgency=medium
* Import upstream version 0.16
2015-04-30 - Axel Beckert <abe@debian.org>
libmodule-build-xsutil-perl (0.15-2) unstable; urgency=medium
* Add dependency on libmodule-build-perl to avoid deprecation warning
and hence autopkgtest test suite failures.
2015-04-27 - Axel Beckert <abe@debian.org>
libmodule-build-xsutil-perl (0.15-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Axel Beckert ]
* Add debian/upstream/metadata
* Import upstream version 0.15
* Declare compliance with Debian Policy 3.9.6 (no other changes needed)
* Add "Testsuite: autopkgtest-pkg-perl" header and list "eg" in
debian/tests/pkg-perl/test-files as it's needed by t/01_build.t.
2014-08-12 - gregor herrmann <gregoa@debian.org>
libmodule-build-xsutil-perl (0.14-1) unstable; urgency=medium
* Team upload.
* New upstream release.
2014-08-03 - gregor herrmann <gregoa@debian.org>
libmodule-build-xsutil-perl (0.13-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Drop build dependency on CPAN::Meta.
2014-05-03 - gregor herrmann <gregoa@debian.org>
libmodule-build-xsutil-perl (0.10-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Update build dependencies.
* Don't install boilerplate README.md anymore.
2014-01-15 - Axel Beckert <abe@debian.org>
libmodule-build-xsutil-perl (0.06-1) unstable; urgency=low
* New upstream release
* Apply wrap-and-sort.
2013-12-02 - Axel Beckert <abe@debian.org>
libmodule-build-xsutil-perl (0.05-1) unstable; urgency=low
* Initial Release. (Closes: #731049)

See Also

Package Description
libmodule-bundled-files-perl_0.03-1_all.deb perl module to access files bundled with your module
libmodule-compile-perl_0.37-1_all.deb Perl module providing a system to compile Perl modules
libmodule-corelist-perl_5.20190220-1_all.deb module to determine modules shipped with perl
libmodule-cpanfile-perl_1.1004-1_all.deb format for describing CPAN dependencies of Perl applications
libmodule-cpants-analyse-perl_0.99-1_all.deb Perl module to generate Kwalitee ratings for a distribution
libmodule-depends-perl_0.16-3_all.deb Perl module to identify the dependencies of a distribution
libmodule-extract-perl_0.01-2_all.deb base class for working with Perl distributions
libmodule-extract-use-perl_1.043-1_all.deb Perl module to extract which modules some code uses
libmodule-extractuse-perl_0.343-1_all.deb Perl module to find out modules used by the specified Perl source
libmodule-faker-perl_0.020-1_all.deb module to build fake dists for testing CPAN tools
libmodule-find-perl_0.13-1_all.deb module to find and use installed Perl modules
libmodule-implementation-perl_0.09-1_all.deb module for loading one of several alternate implementations of a module
libmodule-info-perl_0.37-1_all.deb Perl module providing information about Perl modules
libmodule-inspector-perl_1.05-2_all.deb integrated API for inspecting Perl distributions
libmodule-install-authorrequires-perl_0.02-1_all.deb declare author-only dependencies
Advertisement
Advertisement